Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI
Class GEVAPropertyContainer

    java.lang.Object
      UI.GEVAControl
          UI.GEVAContainerControl
              UI.GEVAPropertyContainer

Direct Known Subclasses:
  GEVAPropertyColContainer, GEVAPropertyRowContainer

    public abstract class GEVAPropertyContainer

extends GEVAContainerControl

Base class for property containers. These are added to Page controls to give the page one or more logical groups of controls. Controls cannot be added directly to a page, and must be in a property control. To simulate adding controls directly to the page, the property container can be created with a null title. This will create the container, but not display it with any visible border. If the GEVAPropertyRowContainer is used, passing title of null shows no border, "" shows a small border, and "..." shows a title border

Author:
  eliottbartly

Nested Class Summary

Nested classes/interfaces inherited from class UI.GEVAContainerControl
`GEVAContainerControl.Controls`

Field Summary

Fields inherited from class UI.GEVAContainerControl
`controls`

Fields inherited from class UI.GEVAControl
`comment, dirtyListener, name, parent, title, type`

Constructor Summary
`GEVAPropertyContainer(GEVADirtyListener dirtyListener, GEVAPageContainer parent, java.lang.String type, java.lang.String title, java.lang.String comment)`

Method Summary

Methods inherited from class UI.GEVAContainerControl
`add, getText, load, save, setEnabled, setText, setVisible, setVisibleControlGroup, validate`

Methods inherited from class UI.GEVAControl
`addActionListener, countComponents, fireActionEvent, getComment, getComponent, getComponent, getName, getParent, getTitle, getType, isType, removeActionListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GEVAPropertyContainer

    public GEVAPropertyContainer(GEVADirtyListener dirtyListener,
                                 GEVAPageContainer parent,
                                 java.lang.String type,
                                 java.lang.String title,
                                 java.lang.String comment)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD